Index: binaries/data/mods/public/gui/summary/countersHelper.js
===================================================================
--- binaries/data/mods/public/gui/summary/countersHelper.js	(revision 0)
+++ binaries/data/mods/public/gui/summary/countersHelper.js	(working copy)
@@ -0,0 +1,347 @@
+// FUNCTIONS FOR CALCULATING SCORES
+var teamMiscHelperData = [];
+
+function resetDataHelpers()
+{
+	teamMiscHelperData = [];
+}
+
+function updateCountersPlayer(playerState, counters, idGUI)
+{
+	for (var w in counters)
+	{
+		var fn = counters[w].fn;
+		Engine.GetGUIObjectByName(idGUI + "[" + w + "]").caption = fn && fn(playerState, w);
+	}
+}
+
+function updateTeamCounters(counters, fn)
+{
+	if (g_teams && fn)
+		fn(counters);
+}
+
+function calculateEconomyScore(playerState, position)
+{
+	var total = 0
+	for each (var res in playerState.statistics.resourcesGathered)
+		total += res;
+
+	return Math.round(total / 10);
+}
+
+function calculateMilitaryScore(playerState, position)
+{
+	return Math.round((playerState.statistics.enemyUnitsKilledValue +
+			playerState.statistics.enemyBuildingsDestroyedValue) / 10);
+}
+
+function calculateExplorationScore(playerState, position)
+{
+	return playerState.statistics.percentMapExplored * 10;
+}
+
+function calculateScoreTotal(playerState, position)
+{
+	return calculateEconomyScore(playerState) + calculateMilitaryScore(playerState) 
+			+ calculateExplorationScore(playerState);
+}
+
+function calculateScoreTeam(counters)
+{
+	for (var t in g_teams)
+	{
+		if (t == -1)
+			continue;
+
+		for (var w in counters)
+		{
+			var total = 0;
+			for (var p = 0; p < g_teams[t]; ++p)
+				total += (+Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + w + "]").caption);
+
+			Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]").caption = total;
+		}
+	}
+}
+
+function calculateBuildings(playerState, position)
+{
+	var type = BUILDINGS_TYPES[position];
+	return TRAINED_COLOR + playerState.statistics.buildingsConstructed[type] + '[/color] / ' +
+				LOST_COLOR + playerState.statistics.buildingsLost[type] + '[/color] / ' +
+				KILLED_COLOR + playerState.statistics.enemyBuildingsDestroyed[type] + '[/color]';
+}
+
+function calculateColorsTeam(counters)
+{
+	for (var t in g_teams)
+	{
+		if (t == -1)
+			continue;
+
+		for (var w in counters)
+		{
+			var total = {
+				c : 0,
+				l : 0,
+				d : 0
+			};
+			for (var p = 0; p < g_teams[t]; ++p)
+			{
+				var caption = Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + w + "]").caption;
+				// clean [Color=""], [/Color] and white space for make the sum more easy
+				caption = caption.replace(/\[([\w\' \\\"\/\=]*)\]|\s/g, "");
+
+				var splitCaption = caption.split("/");
+
+				total.c += (+splitCaption[0]);
+				total.l += (+splitCaption[1]);
+				total.d += (+splitCaption[2]);
+			}
+			var teamTotal = TRAINED_COLOR + total.c + '[/color] / ' +
+				LOST_COLOR + total.l + '[/color] / ' + KILLED_COLOR + total.d + '[/color]';
+
+			Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]").caption = teamTotal;
+		}
+	}
+}
+
+function calculateUnits(playerState, position)
+{
+	var type = UNITS_TYPES[position];
+	return TRAINED_COLOR + playerState.statistics.unitsTrained[type] + '[/color] / ' +
+				LOST_COLOR + playerState.statistics.unitsLost[type] + '[/color] / ' +
+				KILLED_COLOR + playerState.statistics.enemyUnitsKilled[type] + '[/color]';
+}
+
+function calculateResources(playerState, position)
+{
+	var type = RESOURCES_TYPES[position];
+	return INCOME_COLOR + playerState.statistics.resourcesGathered[type] + '[/color] / ' +
+				OUTCOME_COLOR + (playerState.statistics.resourcesUsed[type] - playerState.statistics.resourcesSold[type]) + '[/color]';
+}
+
+function calculateTotalResources(playerState, position)
+{
+	var totalGathered = 0;
+	var totalUsed = 0;
+
+	for each (var type in RESOURCES_TYPES)
+	{
+		totalGathered += playerState.statistics.resourcesGathered[type];
+		totalUsed += playerState.statistics.resourcesUsed[type] - playerState.statistics.resourcesSold[type];
+	}
+
+	return INCOME_COLOR + totalGathered + '[/color] / ' + OUTCOME_COLOR + totalUsed + '[/color]';
+}
+
+function calculateTreasureCollected(playerState, position)
+{
+	return playerState.statistics.treasuresCollected;
+}
+
+function calculateTributeSent(playerState, position)
+{
+	return INCOME_COLOR + playerState.statistics.tributesSent + "[/color] / " + OUTCOME_COLOR + playerState.statistics.tributesReceived + "[/color]";
+}
+
+function calculateResourcesTeam(counters)
+{
+	for (var t in g_teams)
+	{
+		if (t == -1)
+			continue;
+
+		for (var w in counters)
+		{
+			var teamTotal = "undefined";
+
+			var total = {
+				i : 0,
+				o : 0
+			};
+			for (var p = 0; p < g_teams[t]; ++p)
+			{
+				var caption = Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + w + "]").caption;
+				// clean [Color=""], [/Color] and white space for make the sum more easy
+				caption = caption.replace(/\[([\w\' \\\"\/\=]*)\]|\s/g, "");
+
+				if (w == 5)
+					total.i += (+caption);
+				else
+				{
+					var splitCaption = caption.split("/");
+
+					total.i += (+splitCaption[0]);
+					total.o += (+splitCaption[1]);
+				}
+			}
+
+			if (w == 5)
+				teamTotal = total.i;
+			else
+				teamTotal = INCOME_COLOR + total.i + "[/color] / " + OUTCOME_COLOR + total.o + "[/color]";
+
+			Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]").caption = teamTotal;
+		}
+	}
+}
+
+function calculateResourceExchanged(playerState, position)
+{
+	var type = RESOURCES_TYPES[position];
+	return INCOME_COLOR + '+' + playerState.statistics.resourcesBought[type] + '[/color] ' +
+				OUTCOME_COLOR + '-' + playerState.statistics.resourcesSold[type] + '[/color]';
+}
+
+function calculateBatteryEfficiency(playerState, position)
+{
+	var totalBought = 0;
+	for each (var boughtAmount in playerState.statistics.resourcesBought)
+		totalBought += boughtAmount;
+	var totalSold = 0;
+	for each (var soldAmount in playerState.statistics.resourcesSold)
+		totalSold += soldAmount;
+
+	return Math.floor(totalSold > 0 ? (totalBought / totalSold) * 100 : 0) + "%";
+}
+
+function calculateTradeIncome(playerState, position)
+{
+	return playerState.statistics.tradeIncome;
+}
+
+function calculateMarketTeam(counters)
+{
+	for (var t in g_teams)
+	{
+		if (t == -1)
+			continue;
+
+		for (var w in counters)
+		{
+			var teamTotal = "undefined";
+
+			var total = {
+				i : 0,
+				o : 0
+			};
+			for (var p = 0; p < g_teams[t]; ++p)
+			{
+				var caption = Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + w + "]").caption;
+				// clean [Color=""], [/Color], white space, + and % for make the sum more easy
+				caption = caption.replace(/\[([\w\' \\\"\/\=]*)\]|\s|\+|\%/g, "");
+
+				if (w >= 4)
+					total.i += (+caption);
+				else
+				{
+					var splitCaption = caption.split("-");
+					total.i += (+splitCaption[0]);
+					total.o += (+splitCaption[1]);
+				}
+			}
+
+			if (w >= 4)
+				teamTotal = total.i +(w == 4 ? "%" : "");
+			else
+				teamTotal = INCOME_COLOR + '+' + total.i + '[/color] ' + OUTCOME_COLOR + '-' + total.o + '[/color]';
+
+			Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]").caption = teamTotal;
+		}
+	}
+}
+
+function calculateVegetarianRatio(playerState, position)
+{
+	if (!teamMiscHelperData[playerState.team])
+		teamMiscHelperData[playerState.team] = [];
+	if (!teamMiscHelperData[playerState.team][position])
+		teamMiscHelperData[playerState.team][position] = {"food": 0, "vegetarianFood": 0};
+
+	if (playerState.statistics.resourcesGathered.vegetarianFood && playerState.statistics.resourcesGathered.food)
+	{
+		teamMiscHelperData[playerState.team][position].food += playerState.statistics.resourcesGathered.food;
+		teamMiscHelperData[playerState.team][position].vegetarianFood += playerState.statistics.resourcesGathered.vegetarianFood;
+		return Math.floor((playerState.statistics.resourcesGathered.vegetarianFood / playerState.statistics.resourcesGathered.food) * 100) + "%";
+	}
+	else
+		return 0 + "%";
+}
+
+function calculateFeminisation(playerState, position)
+{
+	if (!teamMiscHelperData[playerState.team])
+		teamMiscHelperData[playerState.team] = [];
+	if (!teamMiscHelperData[playerState.team][position])
+		teamMiscHelperData[playerState.team][position] = {"Female": 0, "Worker": 0};
+
+	if (playerState.statistics.unitsTrained.Worker && playerState.statistics.unitsTrained.Female)
+	{
+		teamMiscHelperData[playerState.team][position].Female = playerState.statistics.unitsTrained.Female;
+		teamMiscHelperData[playerState.team][position].Worker = playerState.statistics.unitsTrained.Worker;
+		return Math.floor((playerState.statistics.unitsTrained.Female / playerState.statistics.unitsTrained.Worker) * 100) + "%";
+	}
+	else
+		return 0 + "%";
+}
+
+function calculateKillDeathRatio(playerState, position)
+{
+	if (!teamMiscHelperData[playerState.team])
+		teamMiscHelperData[playerState.team] = [];
+	if (!teamMiscHelperData[playerState.team][position])
+		teamMiscHelperData[playerState.team][position] = {"enemyUnitsKilled": 0, "unitsLost": 0};
+
+	teamMiscHelperData[playerState.team][position].enemyUnitsKilled = playerState.statistics.enemyUnitsKilled.total;
+	teamMiscHelperData[playerState.team][position].unitsLost = playerState.statistics.unitsLost.total;
+
+	if (!playerState.statistics.enemyUnitsKilled.total)
+		return DEFAULT_DECIMAL;
+	if (!playerState.statistics.unitsLost.total)	// and enemyUnitsKilled.total > 0
+		return INFINITE_SYMBOL; // infinity symbol
+
+	return Math.round((playerState.statistics.enemyUnitsKilled.total / playerState.statistics.unitsLost.total)*100)/100;
+}
+
+function calculateMapExploration(playerState, position)
+{
+	if (!teamMiscHelperData[playerState.team])
+		teamMiscHelperData[playerState.team] = [];
+
+	teamMiscHelperData[playerState.team][position] = playerState.statistics.teamPercentMapExplored;
+	return playerState.statistics.percentMapExplored + "%";
+}
+
+function calculateMiscellaneous(counters)
+{
+	for (var t in g_teams)
+	{
+		if (t == -1)
+			continue;
+
+		for (var w in counters)
+		{
+			var teamTotal = "undefined";
+
+			if (w == 0)
+				teamTotal = (teamMiscHelperData[t][w].food == 0 ? "0" : Math.floor((teamMiscHelperData[t][w].vegetarianFood / teamMiscHelperData[t][w].food) * 100)) + "%";
+			else if (w == 1)
+				teamTotal = (teamMiscHelperData[t][w].Worker == 0 ? "0" : Math.floor((teamMiscHelperData[t][w].Female / teamMiscHelperData[t][w].Worker) * 100)) + "%";
+			else if (w == 2)
+			{
+				if (!teamMiscHelperData[t][w].enemyUnitsKilled)
+					teamTotal = DEFAULT_DECIMAL;
+				else if (!teamMiscHelperData[t][w].unitsLost)	// and enemyUnitsKilled.total > 0
+					teamTotal = INFINITE_SYMBOL; // infinity symbol
+				else
+					teamTotal = Math.round((teamMiscHelperData[t][w].enemyUnitsKilled / teamMiscHelperData[t][w].unitsLost)*100)/100;
+			}
+			else if (w == 3)
+				teamTotal = teamMiscHelperData[t][w] + "%";
+
+			Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]").caption = teamTotal;
+		}
+	}
+}
\ No newline at end of file
Index: binaries/data/mods/public/gui/summary/layoutsHelper.js
===================================================================
--- binaries/data/mods/public/gui/summary/layoutsHelper.js	(revision 0)
+++ binaries/data/mods/public/gui/summary/layoutsHelper.js	(working copy)
@@ -0,0 +1,282 @@
+var panelsData = [
+	{	// Scores panel
+		"headings": [	// headings on score panel
+			{ "caption": "Player name","yStart": 26, "width": 200 },
+			{ "caption": "Economy score","yStart": 16, "width": 100 },
+			{ "caption": "Military score","yStart": 16, "width": 100 },
+			{ "caption": "Exploration score","yStart": 16, "width": 100 },
+			{ "caption": "Total score","yStart": 16, "width": 100 }
+		],
+		"titleHeadings": [],
+		"counters": [	// counters on score panel
+			{ "width": 100, "fn": calculateEconomyScore },
+			{ "width": 100, "fn": calculateMilitaryScore },
+			{ "width": 100, "fn": calculateExplorationScore },
+			{ "width": 100, "fn": calculateScoreTotal}
+		],
+		"teamCounterFn": calculateScoreTeam
+	},
+    {	// buildings panel
+		"headings": [	// headings on buildings panel
+			{ "caption": "Player name", "yStart": 26, "width": 200 },
+			{ "caption": "Total", "yStart": 34, "width": 105 },
+			{ "caption": "Houses", "yStart": 34, "width": 85 },
+			{ "caption": "Economic", "yStart": 34, "width": 85 },
+			{ "caption": "Outposts", "yStart": 34, "width": 85 },
+			{ "caption": "Military", "yStart": 34, "width": 85 },
+			{ "caption": "Fortresses", "yStart": 34, "width": 85 },
+			{ "caption": "Civ centers", "yStart": 34, "width": 85 },
+			{ "caption": "Wonders", "yStart": 34, "width": 85 }
+		],
+		"titleHeadings": [
+			{ "caption": "Buildings Statistics (Constructed / Lost / Destroyed)", "yStart": 16, "width": (85 * 7 + 105) },	// width = 735
+		],
+		"counters": [	// counters on buildings panel
+			{"width": 105, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings},
+			{"width": 85, "fn": calculateBuildings}
+		],
+		"teamCounterFn": calculateColorsTeam
+	},
+	{	// units panel
+		"headings": [	// headings on units panel
+			{ "caption": "Player name", "yStart": 26, "width": 200 },
+			{ "caption": "Total", "yStart": 34, "width": 120 },
+			{ "caption": "Infantry", "yStart": 34, "width": 100 },
+			{ "caption": "Worker", "yStart": 34, "width": 100 },
+			{ "caption": "Cavalry", "yStart": 34, "width": 100 },
+			{ "caption": "Champion", "yStart": 34, "width": 100 },
+			{ "caption": "Heroes", "yStart": 34, "width": 100 },
+			{ "caption": "Navy", "yStart": 34, "width": 100 }
+		],
+		"titleHeadings": [
+			{ "caption": "Units Statistics (Trained / Lost / Killed)", "yStart": 16, "width": (100 * 6 + 120) },	// width = 720
+		],
+		"counters": [	// counters on units panel
+			{"width": 120, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits},
+			{"width": 100, "fn": calculateUnits}
+		],
+		"teamCounterFn": calculateColorsTeam
+	},
+	{	// resources panel
+		"headings": [	// headings on resources panel
+			{ "caption": "Player name", "yStart": 26, "width": 200 },
+			{ "caption": "Food", "yStart": 34, "width": 100 },
+			{ "caption": "Wood", "yStart": 34, "width": 100 },
+			{ "caption": "Stone", "yStart": 34, "width": 100 },
+			{ "caption": "Metal", "yStart": 34, "width": 100 },
+			{ "caption": "Total", "yStart": 34, "width": 110 },
+			{ "caption": "Treasures collected", "yStart": 16, "width": 100 },
+			{ "caption": "Tributes (Sent / Received)", "yStart": 16, "width": 121 }
+		],
+		"titleHeadings": [
+			{ "caption": "Resource Statistics (Gathered / Used)", "yStart": 16, "width": (100 * 4 + 110) }, // width = 510
+		],
+		"counters": [	// counters on resources panel
+			{"width": 100, "fn": calculateResources},
+			{"width": 100, "fn": calculateResources},
+			{"width": 100, "fn": calculateResources},
+			{"width": 100, "fn": calculateResources},
+			{"width": 110, "fn": calculateTotalResources},
+			{"width": 100, "fn": calculateTreasureCollected}, 
+			{"width": 121, "fn": calculateTributeSent}
+		],
+		"teamCounterFn": calculateResourcesTeam
+	},
+	{	// market panel
+		"headings": [	// headings on market panel
+			{ "caption": "Player name", "yStart": 26, "width": 200 },
+			{ "caption": "Food exchanged", "yStart": 16, "width": 100 },
+			{ "caption": "Wood exchanged", "yStart": 16, "width": 100 },
+			{ "caption": "Stone exchanged", "yStart": 16, "width": 100 },
+			{ "caption": "Metal exchanged", "yStart": 16, "width": 100 },
+			{ "caption": "Barter efficiency", "yStart": 16, "width": 100 },
+			{ "caption": "Trade income", "yStart": 16, "width": 100 }
+		],
+		"titleHeadings": [],
+		"counters": [	// counters on market panel
+			{"width": 100, "fn": calculateResourceExchanged},
+			{"width": 100, "fn": calculateResourceExchanged},
+			{"width": 100, "fn": calculateResourceExchanged},
+			{"width": 100, "fn": calculateResourceExchanged},
+			{"width": 100, "fn": calculateBatteryEfficiency},
+			{"width": 100, "fn": calculateTradeIncome}
+		],
+		"teamCounterFn": calculateMarketTeam
+	},
+	{	// miscelanous panel
+		"headings": [	// headings on miscelanous panel
+			{ "caption": "Player name", "yStart": 26, "width": 200 },
+			{ "caption": "Vegetarian\nratio", "yStart": 16, "width": 100 },
+			{ "caption": "Feminisation", "yStart": 26, "width": 100 },
+			{ "caption": "Kill / Death\nratio", "yStart": 16, "width": 100 },
+			{ "caption": "Map\nexploration", "yStart": 16, "width": 100 }
+		],
+		"titleHeadings": [],
+		"counters": [	// counters on miscelanous panel
+			{"width": 100, "fn": calculateVegetarianRatio},
+			{"width": 100, "fn": calculateFeminisation},
+			{"width": 100, "fn": calculateKillDeathRatio},
+			{"width": 100, "fn": calculateMapExploration}
+		],
+		"teamCounterFn": calculateMiscellaneous
+	}
+];
+
+function resetGeneralPanel()
+{
+	Engine.GetGUIObjectByName("titleHeading").hidden = true;
+	for (var h = 0; h < MAX_HEADINGTITLE; ++h) 
+	{
+		var headerGUIName = "Heading[" + h + "]";
+		Engine.GetGUIObjectByName(headerGUIName).hidden = true;
+		for (var p = 0; p < MAX_SLOTS; ++p)
+		{
+			Engine.GetGUIObjectByName("valueData[" + p + "][" + h + "]").hidden = true;
+			for (var t = 0; t < MAX_TEAMS; ++t) 
+			{
+				Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + h + "]").hidden = true;
+				Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + h + "]").hidden = true;
+			}
+		}
+	}
+}
+
+function updateGeneralPanelHeadings(headings)
+{
+	var left = 50;
+	for (var h in headings)
+	{
+		var headerGUIName = "playerNameHeading";
+		if (h > 0)
+			headerGUIName = "Heading[" + (h - 1) + "]";
+
+		var headerGUI = Engine.GetGUIObjectByName(headerGUIName);
+		headerGUI.caption = translate(headings[h].caption);
+		headerGUI.size = left + " " + headings[h].yStart + " " + (left + headings[h].width) + " 100%";
+		headerGUI.hidden = false;
+
+		if (headings[h].width < LONG_HEADING_WIDTH)
+			left += headings[h].width;
+	}
+}
+
+function updateGeneralPanelTitles(titleHeadings)
+{
+	var left = 250;
+	// for this implementation only one titleHeadings is going to support
+	// TODO: Expand for more titleHeadings in summary.xml
+	for (var th in titleHeadings)
+	{
+		var headerGUI = Engine.GetGUIObjectByName("titleHeading");
+		headerGUI.caption = translate(titleHeadings[th].caption);
+		headerGUI.size = left + " " + titleHeadings[th].yStart + " " + (left + titleHeadings[th].width) + " 100%";
+		headerGUI.hidden = false;
+		break;
+	}
+}
+
+function updateGeneralPanelCounter(counters)
+{
+	var rowPlayerObjectWidth = 0;
+	var left = 0;
+	for (var p = 0; p < MAX_SLOTS; ++p)
+	{
+		left = 240;
+		var counterObject;
+		for (var w in counters)
+		{
+			counterObject = Engine.GetGUIObjectByName("valueData[" + p + "][" + w + "]");
+			counterObject.size = left + " 6 " + (left + counters[w].width) + " 100%";
+			counterObject.hidden = false;
+			left += counters[w].width;
+		}
+		if (rowPlayerObjectWidth == 0)
+			rowPlayerObjectWidth = left;
+
+		var counterTotalObject;
+		for (var t = 0; t < MAX_TEAMS; ++t)
+		{
+			left = 240;
+			for (var w in counters)
+			{
+				counterObject = Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + p + "][" + w + "]");
+				counterObject.size = left + " 6 " + (left + counters[w].width) + " 100%";
+				counterObject.hidden = false;
+
+				if (g_teams[t])
+				{
+					var yStart = 30 + teams[t] * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP) + 2;
+					counterTotalObject = Engine.GetGUIObjectByName("valueDataTeam[" + t + "][" + w + "]");
+					counterTotalObject.size = (left + 20) + " " + yStart + " " + (left + counters[w].width) + " 100%";
+					counterTotalObject.hidden = false;
+				}
+
+				left += counters[w].width;
+			}
+		}
+	}
+	return rowPlayerObjectWidth;
+}
+
+function updateGeneralPanelTeams()
+{
+	if (!g_teams || g_withoutTeam > 0)
+		Engine.GetGUIObjectByName("noTeamsBox").hidden = false;
+
+	if (!g_teams)
+		return;
+
+	var yStart = TEAMS_BOX_Y_START + g_withoutTeam * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP);
+	for (var i = 0; i < g_teams.length; ++i)
+	{
+		var teamBox = Engine.GetGUIObjectByName("teamBoxt["+i+"]");
+		teamBox.hidden = false;
+		var teamBoxSize = teamBox.size;
+		teamBoxSize.top = yStart;
+		teamBox.size = teamBoxSize;
+
+		yStart += 30 + g_teams[i] * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP) + 32;
+
+		Engine.GetGUIObjectByName("teamNameHeadingt["+i+"]").caption = "Team "+(i+1);
+
+		var teamHeading = Engine.GetGUIObjectByName("teamHeadingt["+i+"]");
+		var yStartTotal = 30 + teams[i] * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP) + 2;
+		teamHeading.size = "50 "+yStartTotal+" 100% "+(yStartTotal+20);
+		teamHeading.caption = translate("Team total");
+	}
+	// If there are no players without team, hide "player name" heading
+	if (!g_withoutTeam)
+		Engine.GetGUIObjectByName("playerNameHeading").caption = "";
+}
+
+function updateObjectPlayerPosition()
+{
+	for (var h = 0; h < MAX_SLOTS; ++h) 
+	{
+		var playerBox = Engine.GetGUIObjectByName("playerBox[" + h + "]");
+		var boxSize = playerBox.size;
+		boxSize.top += h * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP);
+		boxSize.bottom = boxSize.top + PLAYER_BOX_Y_SIZE;
+		playerBox.size = boxSize;
+
+		for (var i = 0; i < MAX_TEAMS; ++i)
+		{
+			var playerBoxt = Engine.GetGUIObjectByName("playerBoxt[" + i + "][" + h + "]");
+			boxSize = playerBoxt.size;
+			boxSize.top += h * (PLAYER_BOX_Y_SIZE + PLAYER_BOX_GAP);
+			boxSize.bottom = boxSize.top + PLAYER_BOX_Y_SIZE;
+			playerBoxt.size = boxSize;
+		};
+	};
+}
\ No newline at end of file
